@echo off
echo .
echo MySQL Common GUI Build Script 1.0
echo --------------------------------------------------------------------
echo This script will build all auxilary tools needed to build 
echo a MySQL GUI tool. The binaries will be stored in the
echo ..\mysql-gui-win-res\bin directory.
echo .

echo Clean previous builds ...
call build_clean.cmd
echo .

echo Build started ...
echo .

REM Change to build directory ...
cd build

echo Prepare Runtime Image directories ...
call PrepareRuntimeImageDirs.bat
echo .

echo Build Resources ...
call MakeResources.bat
echo .

echo Building common tools ...
call MakeCommonTools.bat
echo .

echo Building GrtSh ...
call MakeGrtShell.bat
echo .

echo Make Java Code ...
call PrepareJavaCode.bat
echo .

echo Make Components ...
call MakeComponentsD9.bat
echo .

cd ..

echo Finished.
